<?php
function geouser(){

    //Set up the breadcrumb
    drupal_set_breadcrumb(
    array(
    l('home',$base_url), 
    l('geouser','geouser'),
    ));
    
    $page = '';
    $countryName = arg(2);
    $regionName = arg(4);
    $cityName = arg(6);
    
    $countryName? $page .= 'Country : '.l($countryName, 'geouser/country/'.$countryName).'<br />' : '';
    $regionName? $page .= 'Region : '.l($regionName, 'geouser/Country/'.$countryName.'/Region/'.$regionName).'<br />' : '';
    $cityName? $page .= 'City : '.l($cityName, 'geouser/Country/'.$countryName.'/Region/'.$regionName.'/City/'.$cityName). '<br />' : '';
    
    
    
    $geousers = GeoUser::getGeoUsers($countryName, $regionName, $cityName);
           
    foreach($geousers as $geouser){

        $page .= l($geouser->name, 'user/'.$geouser->uid).'<br />';
    }
    

    return $page;
}


